Skip to main content
PATCH
Update scheduled changes workflow

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

id
string<string>
required

The scheduled change ID

Query Parameters

ignoreConflicts
boolean

Whether to succeed (true) or fail (false) when these new instructions conflict with existing scheduled changes

Body

application/json
instructions
object[]
required

The instructions to perform when updating. This should be an array with objects that look like {"kind": "update_action"}. Some instructions also require a value field in the array element.

Example:

"[ { \"kind\": \"replaceScheduledChangesInstructions\", \"value\": [ { \"kind\": \"turnFlagOff\" } ] } ]"

comment
string

Optional comment describing the update to the scheduled changes

Example:

"optional comment"

Response

Scheduled changes response

_id
string
required

The ID of this scheduled change

Example:

"12ab3c45de678910abc12345"

_creationDate
integer<int64>
required

Timestamp of when the scheduled change was created

Example:

"1654123897062"

_maintainerId
string
required

The ID of the scheduled change maintainer

Example:

"12ab3c45de678910abc12345"

_version
integer
required

Version of the scheduled change

Example:

1

executionDate
integer<int64>
required

When the scheduled changes should be executed

Example:

"1636558831870"

instructions
object[]
required

The actions to perform on the execution date for these scheduled changes

Example:

"[ { \"kind\": \"turnFlagOn\" }]"

_maintainerServiceTokenId
string

The ID of the service token that created or updated this scheduled change

conflicts
any

Details on any conflicting scheduled changes

The location and content type of related resources